<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="icon" href="https://tilde.team/~grizzly/components/favicon.svg" />
    <!-- <link rel="stylesheet" href="https://tilde.team/~grizzly/css/picnic.min.css" /> -->
    <link rel="stylesheet" href="components/css/picnic.min.css" />
    <title>Grizzly’s Space</title>
  </head>
  <body>
    <div class="app">
      <header>
        <span> ~team </span>
        <span class="quote">Security does not exist, no system is save</span>
        <span><a href="https://tilde.team/">&lt;- back to tilde.team</a></span>
      </header>
      <main>
        <div class="container">
          <div class="content">
        
            <h2>Hi, I'm Grizzly!</h2>
            Have a great day! :)
            <div class="widgets">
              <?=Ascii()?>
              <div class="botany">
                <h3>botany: my plant</h3>
                <?php require_once('components/botany.php'); ?>
              </div>
            </div>

            <?php echo More(); ?>

        </div>
          <div class="side">
              <?php require_once('components/comments/comment.php'); ?>
              <?php require_once('components/comments/form.php'); ?>
          </div>
        </div>
      </main>
      <footer>
        <?=WebRing()?>
        <div>copyleft 2137</div>
      </footer>
    </div>
    <style>
      @media (max-width: 50rem) {
        .widgets,
        .container {
          display: flex;
          flex-direction: column !important;
        }
        .side {
          border: 0px !important;
          width: 100vw !important;
          flex-grow: 0 !important;
        }
        .content {
          display: flex;
          align-items: center;
        }
      }

      * {
        padding: 0;
        margin: 0;
        box-sizing: border-box;
      }
      body {
        font-family: "lucida sans unicode", "lucida grande", sans-serif;
        line-height: 1.4;
        /* line-height: 1.7; */
        font-size: 14px;
      }
      .app {
        display: flex;
        flex-direction: column;
        min-height: 100vh;
      }
      header {
        background-color: #5300be;
        border-bottom: 3px solid #2a0061;
        padding: 10px;
        color: #eee;
        font-weight: 800;
        display: flex;
        align-items: center;
      }
      main {
        display: flex;
        flex-grow: 1;
      }
      footer {
        display: flex;
        flex-direction: column;
        align-items: center;
        font-size: 12px;
        background-color: #eee;
        padding: 20px;
      }
      header span {
        width: 33%;
      }
      header span a {
        color: #eee;
        float: right;
      }
      .quote {
        font-weight: 300;
        text-align: center;
      }
      .newring {
        text-align: center;
      }
      .container {
        display: flex;
        flex-grow: 1;
        height: auto;
        flex-direction: row;
        width: 100%;
      }
      .content {
        display: flex;
        flex-direction: column;
        flex-grow: 1;
        background-color: #f5f5f5;
        width: 100%;
        padding: 20px;
      }
      .side {
        width: 200px;
        display: flex;
        flex-direction: column;
        background-color: #e7e5eb;
        border-left: 1px solid #2a0061;
        /* height: 100vh; */
        flex-grow: 1; /* XXX */
      }
      .widgets {
        display: flex;
        flex-direction: row;
        align-items: center;
      }
      .more {
        margin-top: 20px;
      }
      .mail {
        margin-bottom: 10px;
      }
      .comments {
        overflow-y: scroll;
        overflow-x: hidden;
        flex-grow: 1;
        max-height: 50vh; /* XXX */
      }
      .comment {
        font-size: 10px;
        border-bottom: 1px dotted #2a0061;
        padding: 5px;
      }
      .form {
        border-top: 1px solid #2a0061;
        padding: 10px;
      }
      .form input,
      .form textarea {
        width: 160px;
        display: block;
        margin: 3px;
      }
      .form textarea {
        height: 40px;
      }
      .howto {
        font-size: 10px;
      }
      .howto summary {
        cursor: pointer;
      }
      .howto pre {
        margin-top: 5px;
      }
      .comment .meta span {
        font-size: smaller;
      }
      .links {
        margin-top: 10px;
      }
      .links ul {
        margin-left: 20px;
      }
      .links p {
        font-weight: 600;
      }
      .info_form {
        font-size: 10px;
        text-align: center;
      }
      .botany {
        transform: scale(0.8);
        transition: all 0.2s ease-in-out;
      }
      .botany:hover {
        transform: scale(1);
      }
      .botany h3 {
        color: green;
      }
    </style>
  </body>
</html>

<?php

function Ascii() {
    return '
<pre>
 _________________
< Hello, everyone >
 -----------------
  \
   \
       ___
     {~._.~}
      ( Y )
     ()~*~()
     (_)-(_)
</pre>'; 
}

function More() {
    return '
<div class="more">
    <div class="links">
    ' . file_get_contents('components/more/Contact.html') . '
    ' . file_get_contents('components/more/Me.html') . '
    ' . file_get_contents('components/more/Projects.html') . '
    ' . file_get_contents('components/more/CoolLinks.html') . '
    </div>
</div>';
}


function WebRing() {
  return '<!-- tilde.team ring fragment-->
  <div class="newring">
    [<a href="https://tilde.team/ring/?action=prev&amp;me=grizzly"
      >previous</a
    >] [<a href="https://tilde.team/ring/?action=random&amp;me=grizzly"
      >random</a
    >] [<a href="https://tilde.team/ring/?action=next&amp;me=grizzly"
      >next</a
    >]
    <br />
    <a href="https://tilde.team/ring/">how to join this webring</a>
  </div>';
}

?>